package com.hys.app.converter.erp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.model.erp.entity.CompanyPackage;
import com.hys.app.model.erp.entity.CompanyPackageDO;
import com.hys.app.model.erp.entity.CompanyPackageVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface CompanyPackageConverter {
    CompanyPackageConverter INSTANCE = Mappers.getMapper(CompanyPackageConverter.class);

    CompanyPackage convert(CompanyPackageDO bean);
    CompanyPackageVO convert(CompanyPackage bean);
    Page<CompanyPackageVO> convert(Page<CompanyPackage> bean);

}
